#!/bin/bash

# Setze den Pfad des Verzeichnisses, in dem sich das Skript befindet
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
EXPORT_DIR="${SCRIPT_DIR}"
ANGULAR_DIR="${SCRIPT_DIR}/../angular"

# Lösche die beiden Dateien openapi.yaml und openapi.json im Export-Verzeichnis, falls sie existieren
if [ -f "${EXPORT_DIR}/openapi.yaml" ]; then
    rm "${EXPORT_DIR}/openapi.yaml"
fi

if [ -f "${EXPORT_DIR}/openapi.json" ]; then
    rm "${EXPORT_DIR}/openapi.json"
fi

# Führe den Konsolenbefehl aus, um die OpenAPI-Datei zu exportieren
bin/console api:openapi:export --yaml > "${EXPORT_DIR}/openapi.yaml"

# URL der JSON-Datei
JSON_URL="https://imaq.ddev.site:8454/api/docs.json"

# JSON von der URL abrufen und im Export-Verzeichnis speichern
curl -o "${EXPORT_DIR}/openapi.json" "${JSON_URL}"

# Sicherstellen, dass das Zielverzeichnis existiert
if [ ! -d "${ANGULAR_DIR}" ]; then
    mkdir -p "${ANGULAR_DIR}"
fi

# Verschiebe die Dateien in den angular Ordner
mv "${EXPORT_DIR}/openapi.yaml" "${ANGULAR_DIR}/openapi.yaml"
mv "${EXPORT_DIR}/openapi.json" "${ANGULAR_DIR}/openapi.json"

# Wechsle in den angular Ordner und führe das Shell-Skript generateApi.sh aus, falls es existiert
if [ -f "${ANGULAR_DIR}/generateApi.sh" ]; then
    (cd "${ANGULAR_DIR}" && bash generateApi.sh)
fi
